Añadir transacciones a un cliente
Batch bind imported transactions to a customer.
Autorizaciones
API-KeystringRequerido
Parámetros de ruta
customer_idstringRequeridoExample:
Customer ID in your system.
Customer123Cuerpo
Respuestas
200
Response. A non-zero code indicates a business error even when the HTTP status is 200.
application/json
codeintegerOpcional
The status code of this request. For all possible codes and corresponding errors/messages, see https://docs.compliance.phalcon.blocksec.com/api-documentation/introduction/error-messages.
msgstringOpcional
The message of this request. For all possible codes and corresponding errors/messages, see https://docs.compliance.phalcon.blocksec.com/api-documentation/introduction/error-messages.
401
Authentication failed. The API-Key header is missing or invalid.
429
Rate limit exceeded. Reduce the request rate and retry.
post/customers/{customer_id}/transactions
POST /phalcon/compliance/v2/customers/{customer_id}/transactions HTTP/1.1
Host: api.blocksec.com
API-Key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 110
{
"transactions": [
{
"txHash": "0xa62d240bdc962236c0ef8312eb2a7b897b00b7ba409066b0d9bd06c1c7621708",
"chainId": 1
}
]
}{
"code": 0,
"msg": "Success",
"data": {
"customerId": "Blacklist",
"transactionCount": 1,
"addedTransactions": [
{
"chainId": 1,
"txHash": "0x647b39a082e1090d241018b14fe8ba20f0067ab9adfca85b1abad443dc05914e"
}
]
}
}Última actualización